UNIT KToolCtl;
{+H
---------------------------------------------------------------------------
  File        - KTOOLCTL.PAS
  Purpose     - Provides a registration unit and property editors for the
                components in the KCtrls unit.
  Author      - Keith S. Brown
                E-mail: keith_brown@juno.com
                http://www.ghg.net/chairouchu/
                2437 Bay Area Blvd #20, Houston TX / USA
  Copyright    1998 Keith S. Brown
  Restrictions- This component is FREEWARE!
                No warranty is given by the author, expressed or implied.
  Reference   - source by Borland Int, etc.
  Revised     - 1998.0512 (KSB) Wrote first version (for TKGroupBox).
---------------------------------------------------------------------------}
INTERFACE

{}PROCEDURE Register;

              {=================================================}
IMPLEMENTATION
USES
  Windows,  DsgnIntf, Classes,  Forms,    SysUtils, KCtrls;


VAR
  ueWhat      : TKCtrlName;

TYPE
  TKCtrlAboutProperty   = CLASS(TPropertyEditor)
  PRIVATE
    PROCEDURE   Edit; OVERRIDE;
    FUNCTION    GetAttributes: TPropertyAttributes; OVERRIDE;
    FUNCTION    GetValue: STRING; OVERRIDE;
  END {CLASS};


{ TKCtrlAboutProperty }


{}PROCEDURE   TKCtrlAboutProperty.Edit;
  BEGIN
    Application.MessageBox(PChar(GetCopyright(ueWhat)),PChar(GetVersion(ueWhat)),MB_OK+ MB_ICONINFORMATION);
{}END {Edit};




{}FUNCTION    TKCtrlAboutProperty.GetAttributes: TPropertyAttributes;
  BEGIN
    GetAttributes:=[paDialog, paReadOnly];
{}END {GetAttributes};




{}FUNCTION    TKCtrlAboutProperty.GetValue: STRING;
  BEGIN
    GetValue:='(About)';
{}END {GetValue};



{}PROCEDURE Register;
  BEGIN
    ueWhat := _TKGroupBox;
    RegisterComponents('KTools',[TKGroupBox]);
    RegisterPropertyEditor(TypeInfo(TObject), TKGroupBox, 'ABOUT', TKCtrlAboutProperty);
{}END {Register};



END {KTOOLCTL}.
